
/*
 * Web Polygraph                        http://www.web-polygraph.org/
 * ------------------------------------------------------------------
 *
 *  Web Polygraph is copyrighted (C) 1998-2000 by The Regents of the
 *  University of California. See the COPYRIGHT file for details.
 */

#ifndef PGL_STRING_IS_H
#define PGL_STRING_IS_H

#include "xstd/NetAddr.h"

class String;
class Time;
class BigSize;


extern bool pglIsRatio(const String &str, double &r);
extern bool pglIsRelTime(const String &str, Time &t);
extern bool pglIsAbsTime(const String &str, Time &t);
extern bool pglIsSize(const String &str, BigSize &s);

extern bool pglIsNetAddr(const String &str, String &ifname, String &host, int &port, int &subnet);

extern bool pglSplitAddr(const String &str, String &ifname, String &addr, int &port, int &subnet);
extern bool pglSplitAddr(const String &str, String &ifname, String &addr, int &subnet);
extern bool pglIsNetAddr(const String &str, String &ifname, String &host, int &port, int &subnet);
extern NetAddr pglIsNetAddr(const String &str);

#endif
