
/*
 * Web Polygraph                        http://www.web-polygraph.org/
 * ------------------------------------------------------------------
 *
 *  Web Polygraph is copyrighted (C) 1998-2000 by The Regents of the
 *  University of California. See the COPYRIGHT file for details.
 */

#ifndef PGL_STATS_SAMPLE_CONFIGURATION_H
#define PGL_STATS_SAMPLE_CONFIGURATION_H

#include "xstd/String.h"

// a record describing a single stats sample

class StatsSampleCfg {
	public:
		StatsSampleCfg(): capacity(0) {}

	public:
		String name;  // sample name
		Time start;   // when to start sampling (relative to run start)
		int capacity; // entries in this sample
};

#endif
