
/*
 * Web Polygraph                        http://www.web-polygraph.org/
 * ------------------------------------------------------------------
 *
 *  Web Polygraph is copyrighted (C) 1998-2000 by The Regents of the
 *  University of California. See the COPYRIGHT file for details.
 */

#ifndef PG_SERVER_APPLICATION_H
#define PG_SERVER_APPLICATION_H

#include "app/PolyApp.h"

class PolySrv: public PolyApp {
	public:
		PolySrv();

	protected:
		virtual void configure();
		
		virtual void getOpts(Array<OptGrp*> &opts);
		virtual void makeAgent(const AgentSym &agent, const NetAddr &address);
		virtual void logState(OLog &log);

		virtual const String sideName() const;
		virtual int logCat() const;
};

#endif
